Verify that this workstation meets our system requirements.

Check System for required software.

  Minimum Hardware Requirements

 All subjects K-High School

All

Mac®

Windows®

800x600 pixel resolution,
256 colors or greater

G4 or Intel  or greater

P4 or AMD equivalent or greater 

100 MB available disk space for browser cache

Macintosh sound, speakers or headphones

Windows Certified Sound Card, speakers or headphones

LAN 100 MB switched to desktop

 

Home Access minimum 256 kbps broadband connection1

Recommended:  Color printer, faster CPU, more RAM, larger monitor, faster Internet connection

 K-8 only

All

Mac®

Windows®

Internet access via LAN:

greater or equal to 128 kbps per concurrent user

256 MB RAM or greater

256 MB RAM or greater

 High School only

All

Mac®

Windows®

Internet access via LAN:

minimum 256 kbps per concurrent user

512 MB RAM or greater

512 MB RAM or greater

High School requires Internet access at student workstations

 

1. Performance and activity loading time varies with speed of Internet connection.

 

  Supported Software Environments

Windows®

Macintosh®

Windows XP, Vista

Mac OSX 10.3.4, 10.4, 10.5

 

Internet Explorer 7.0 or greater

Firefox 1.5 or 2.0.0.4

Safari 2.0.1 (requires 10.4)

 

Safari 3 (requires 10.4 or 10.5)

Firefox  2.0.0.4

 

Adobe Flash Player 9.0

Get Adobe Flash Player



Adobe Acrobat Reader® 6 or greater

Apple QuickTime® Player 7.03

PrintOMatic Xtra Plugin3

Adobe Shockwave® Player 10.03,4

Sun Java Virtual Machine 1.4.2 or 1.55


Microsoft Agent6

Microsoft Agent Download Button

 

Adobe Flash Player 9.0

Get Macromedia Flash Player



Adobe Acrobat Reader®  6 or greater

Apple QuickTime® Player 7.03

PrintOMatic Xtra Plugin3

Adobe Shockwave® Player 10.03,4

Sun Java Virtual Machine 1.4.2 or 1.55

1.       Netscape 8.0 must be configured for Odyssey. For instructions, see the Odyssey User's Guide, Chapter 1, "Configuring Netscape 8.0."

2.       Netscape 7.2 for Mac OS 10.3.4 - 10.3.9 includes Sun Java Virtual machine 1.3.x. For ELL Secondary, this must be upgraded to Sun Java Virtual machine 1.4.2, using the Java Embedding plug-in for Mac OS X.

3.       Required for PreK activities.

4.       Required for ELL Elementary and Algebra.

5.       Required for ELL Secondary.

6.       Optional for HTML activities.